Page MenuHomePhabricator

Log events on 'watchstar' across mobile skin.
Closed, ResolvedPublic5 Story Points

Description

We don't know whether people use Nearby, search results, or the new Gather edit collection features to add/remove pages to collections/watchlist. We want to understand where we should focus our efforts. Let's log all clicks in beta from these features.

Log events on 'add by search' interface on Gather so that PMs and analytics can count number of "adds" or removes" from this interface and get an understanding of how important this feature is

The event should indicate whether or not the user added it from the 'edit' workflow (currently the only possible one), or the create collection workflow.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterAdd EventLogging to the watchstar

Event Timeline

JKatzWMF created this task.Mar 30 2015, 6:00 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 6:00 PM
Jdlrobson set Security to None.
Jdlrobson edited projects, added Gather; removed Readers-Web-Backlog.
JKatzWMF updated the task description. (Show Details)Mar 30 2015, 6:07 PM
Jdlrobson renamed this task from Log events on 'add by search' interface for Gather to Log events on 'watchstar' across mobile skin..Mar 30 2015, 6:08 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.Mar 30 2015, 6:12 PM
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Enwiki board.
phuedx added a subscriber: phuedx.Mar 31 2015, 8:28 AM
Jdlrobson moved this task from Product triage to In sprint on the Gather board.Apr 2 2015, 4:02 PM

Change 202628 had a related patch set uploaded (by Jdlrobson):
Add EventLogging to the watchstar

https://gerrit.wikimedia.org/r/202628

The above patch covers stuff on the MobileFrontend side. Will take a look from the Gather side as soon as the new collection search interface is done.

Change 202628 merged by jenkins-bot:
Add EventLogging to the watchstar

https://gerrit.wikimedia.org/r/202628

Gonna test this again in beta labs when merged this afternoon

JKatzWMF closed this task as Resolved.Apr 13 2015, 5:27 PM